%global pypi_name      suds

Name:           python-suds
Version:        1.2.0
Release:        %mkrel 1
Summary:        Lightweight SOAP client (community fork)
License:        LGPLv3+
Group:          Development/Python
URL:            https://github.com/suds-community/suds
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Suds is a lightweight SOAP python client for consuming Web Services.

%package -n python3-%{pypi_name}
Summary:        Lightweight SOAP client (community fork)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Suds is a lightweight SOAP python client for consuming Web Services.

%prep
%setup -qn suds-%{version}

%generate_buildrequires
export SUDS_PACKAGE=suds
%pyproject_buildrequires

%build
export SUDS_PACKAGE=suds
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files suds

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt


%changelog
* Mon Sep 09 2024 wally <wally> 1.2.0-1.mga10
+ Revision: 2094689
- new version 1.2.0

* Fri Dec 29 2023 papoteur <papoteur> 1.1.2-2.mga10
+ Revision: 2023806
- rebuild for python 3.12
  use generate_buildrequires macro

* Wed Sep 07 2022 neoclust <neoclust> 1.1.2-1.mga9
+ Revision: 1885326
- New version  1.1.2

* Sat Mar 26 2022 umeabot <umeabot> 1.0.0-3.mga9
+ Revision: 1828546
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.0.0-2.mga9
+ Revision: 1782273
- rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 1.0.0-1.mga9
+ Revision: 1771474
- version 1.0.0
- updated Source0

* Fri Apr 23 2021 daviddavid <daviddavid> 0.8.4-2.mga9
+ Revision: 1718104
- rebuild for python 3.9

* Thu Sep 17 2020 guillomovitch <guillomovitch> 0.8.4-1.mga8
+ Revision: 1627494
- new version 0.8.4

* Sun Feb 16 2020 umeabot <umeabot> 0.7-0.8.94664ddd46a6.mga8
+ Revision: 1532487
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 wally <wally> 0.7-0.7.94664ddd46a6.mga8
+ Revision: 1442440
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 daviddavid <daviddavid> 0.7-0.6.94664ddd46a6.mga7
+ Revision: 1354152
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7-0.5.94664ddd46a6.mga7
+ Revision: 1290275
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 joequant <joequant> 0.7-0.4.94664ddd46a6.mga7
+ Revision: 1237009
- rebuild for deps

* Thu Mar 22 2018 kekepower <kekepower> 0.7-0.3.94664ddd46a6.mga7
+ Revision: 1211338
- Use python[2,3]dist
- Use python_provide

* Sun Jan 28 2018 daviddavid <daviddavid> 0.7-0.2.94664ddd46a6.mga7
+ Revision: 1197471
- rename python-suds to python2-suds
- fix release tag to ease mass_rebuild

* Sat Aug 05 2017 philippem <philippem> 0.7-0.1.94664ddd46a6.mga7
+ Revision: 1136173
- disable test

* Sun Nov 20 2016 joequant <joequant> 0.7-0.1.94664ddd46a6.mga6
+ Revision: 1068434
- upgrade to 0.7

* Thu Feb 04 2016 umeabot <umeabot> 0.4.1-11.mga6
+ Revision: 934815
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-10.mga5
+ Revision: 749083
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.1-9.mga5
+ Revision: 729852
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-8.mga5
+ Revision: 688370
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.1-6.mga4
+ Revision: 544353
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.1-5.mga4
+ Revision: 499506
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 19 2013 luigiwalser <luigiwalser> 0.4.1-4.mga4
+ Revision: 456285
- add patch from opensuse to fix CVE-2013-2127

* Sun Jan 13 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 379550
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 boklm <boklm> 0.4.1-2.mga2
+ Revision: 232083
- clean spec, fix group, fix BR
- imported package python-suds


* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 15 2010 jortel <jortel@redhat.com> - 0.4.1-1
- 0.4.1

* Thu Sep 8 2010 jortel <jortel@redhat.com> - 0.4-1
- Fix spelling errors in spec description.
- Fix source0 URL warning.
- Updated caching to not cache intermediate wsdls.
- Added DocumentCache which caches verified XML documents as text. User can choose.
- Added cachingpolicy option to allow user to specify whether to cache XML documents or the WSDL object.
- Provided for repeating values in reply for message parts consistent with way handled in nested objects.
- Added charset=utf-8 to stock content-type http header.
- Added <?xml version="1.0" encoding="UTF-8"?> to outgoing SOAP messages.
- Detection of faults in successful (http=200) replies and raise WebFault. Search for <soapenv:Fault/>.
- Add plugins facility. 
- Fixed Tickets: #251, #313, #314, #334

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Dec 17 2009 jortel <jortel@redhat.com> - 0.3.9-1
- Bumped python requires to 2.4
- Replaced stream-based caching in the transport package with document-based caching.
- Caches pickled Document objects instead of XML text. 2x Faster!
- No more SAX parsing exceptions on damaged or incomplete cached files. 
- Cached WSDL objects. Entire Definitions object including contained Schema object cached via pickle.
- Copy of soap encoding schema packaged with suds.
- Refactor Transports to use ProxyHandler instead of urllib2.Request.set_proxy().
- Added WSSE enhancements <Timestamp/> and <Expires/> support. See: Timestamp token. 
- Fixed Tickets: #256, #291, #294, #295, #296

* Wed Dec 9 2009 jortel <jortel@redhat.com> - 0.3.8-1
- Includeds Windows NTLM Transport.
- Add missing self.messages in Client.clone().
- Changed default behavior for WSDL PartElement to be optional.
- Add support for services/ports defined without <address/> element in WSDL.
- Fix sax.attribute.Element.attrib() to find by name only when ns is not specified; renamed to Element.getAttribute().
- Update HttpTransport to pass timeout parameter to urllib2 open() methods when supported by urllib2.
- Add null class to pass explicit NULL values for parameters and optional elements.
- Soap encoded array (soap-enc:Array) enhancement for rpc/encoded.
  Arrays passed as python arrays - works like document/literal now.
  No more using the factory to create the Array.
  Automatically includes arrayType attribute.  Eg: soap-enc:arrayType="Array[2]".
  Reintroduced ability to pass complex (objects) using python dict instead of suds object via factory.
- Fixed tickets: #84, #261, #262, #263, #265, #266, #278, #280, #282.

* Thu Oct 16 2009 jortel <jortel@redhat.com> - 0.3.7-1
- Better soap header support
- Added new transport HttpAuthenticated for active (not passive) basic authentication.
- New options (prefixes, timeout, retxml)
- WSDL processing enhancements.
- Expanded builtin XSD type support.
- Fixed <xs:iniclude/>
- Better XML date/datetime conversion.
- Client.clone() method added for lightweight copy of client object.
- XSD processing fixes/enhancements.
- Better <simpleType/> by <xs:restriction/> support.
- Performance enhancements. 
- Fixed tickets: #65, #232, #233, #235, #241, #242, #244, #247, #254, #254, #256, #257, #258

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 1 2009 jortel <jortel@redhat.com> - 0.3.6-1
- Change hard coded /tmp/suds to tempfile.gettempdir() and create suds/ on demand.
- Fix return type for Any.get_attribute().
- Update http caching to ignore file:// urls.
- Better logging of messages when only the reply is injected.
- Fix XInteger and XFloat types to translate returned arrays properly.
- Fix xs:import schema with same namespace.
- Update parser to not load external references and add Import.bind() for XMLSchema.xsd location.
- Add schema doctor - used to patch XSDs at runtime.  (See Options.doctor)
- Fix deprecation warnings in python 2.6.
- Add behavior for @default defined on <element/>.
- Change @xsi:type value to always be qualified for doc/literal.
- Add Option.xstq option to control when @xsi:type is qualified.
- Fixed Tickets: #64, #129, #205, #206, #217, #221, #222, #224, #225, #228, #229, #230

* Wed Feb 25 2009 jortel <jortel@redhat.com> - 0.3.5-1
- Adds http caching.  Default is (1) day.
- Removed checking fc version in spec since no longer building < fc9.
- Updated makefile to roll tarball with tar.sh.
- Moved bare/wrapped determination to wsdl for document/literal.
- Refactored Transport to provide better visibility into http headers.
- Fixed Tickets: #207, #207, #209, #210, #212, #214, #215

* Mon Dec 08 2008 jortel <jortel@redhat.com> - 0.3.4-1
- Static (automatic) Import.bind('http://schemas.xmlsoap.org/soap/encoding/')
- Basic ws-security with {{{UsernameToken}}} and clear-text password only.
- Add support for ''sparse'' soap headers via passing dictionary
- Add support for arbitrary user defined soap headers
- Fixes service operations with multiple soap header entries.
- Schema loading and dereferencing algorithm enhancements.
- Nested soap multirefs fixed.
- Better (true) support for elementFormDefault="unqualified" provides more accurate namespaing.
- WSDL part types no longer default to WSDL targetNamespace.
- Fixed Tickets: #4, #6, #21, #32, #62, #66, #71, #72, #114, #155, #201.

* Wed Dec 04 2008 jortel <jortel@redhat.com> - 0.3.3-2
- Rebuild for Python 2.6

* Wed Dec 04 2008 jortel <jortel@redhat.com> - 0.3.3-1
- No longer installs (tests) package.
- Implements API-3 proposal
    Pluggable transport
    Keyword method arguments
    Baisc http authentication in default transport
- Add namespace prefix normalization in soap message.
- Better soap message pruning of empty nodes.
- Fixed Tickets: #51 - #60.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.2-2
- Rebuild for Python 2.6

* Fri Nov 06 2008 jortel <jortel@redhat.com> - 0.3.2-1
- Add SOAP MultiRef support
- Add support for new schema tags:
    <xs:include/>
    <xs:simpleContent/>
    <xs:group/>
    <xs:attributeGroup/>
- Added support for new xs <--> python type conversions:
    xs:int
    xs:long
    xs:float
    xs:double
- Revise marshaller and binding to further sharpen the namespacing of nodes produced.
- Infinite recursion fixed in ''xsd'' package dereference() during schema loading.
- Add support for <wsdl:import/> of schema files into the wsdl root <definitions/>.
- Fix double encoding of (&)
- Add Client API:
    setheaders()  - Same as keyword but works for all invocations.
    addprefix()   - Mapping of namespace prefixes.
    setlocation() - Override the location in the wsdl.
    setproxy()    - Same as proxy keyword but for all invocations.
- Add proper namespace prefix for soap headers.
- Fixed Tickets: #5, #12, #34, #37, #40, #44, #45, #46, #48, #49, #50, #51

* Fri Nov 03 2008 jortel <jortel@redhat.com> - 0.3.1-5
- Add LICENSE to %%doc.

* Fri Oct 28 2008 jortel <jortel@redhat.com> - 0.3.1-4
- Changes acc. #466496 Comment #8

* Fri Oct 27 2008 jortel <jortel@redhat.com> - 0.3.1-3
- Add "rm -rf $RPM_BUILD_ROOT" to install

* Fri Oct 16 2008 jortel <jortel@redhat.com> - 0.3.1-2
- Changes acc. #466496 Comment #1

* Fri Oct 10 2008 jortel <jortel@redhat.com> - 0.3.1-1
- Extends the support for multi-port services introduced earlier. This addition, 
  provides for multiple services to define the *same* method and suds will
  handle it properly.  See section 'SERVICES WITH MULTIPLE PORTS:'
- Add support for multi-document document/literal soap binding style.
  See section 'MULTI-DOCUMENT Docuemnt/Literal:'
- Add support for (xs:group, xs:attributeGroup) tags.
- Add Client.last_sent() and Client.last_received().
